Skip to main content
POST
ClickStack: Silence Alert
Beta This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.

ClickStack: Silences an alert until the given time. Notifications are suppressed while the alert is silenced.

Permission

The API key must have the control-plane:service:manage-clickstack-api permission.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the service.

serviceId
string<uuid>
required

ID of the ClickStack service.

clickStackAlertId
string
required

ClickStack Alert ID

Body

application/json
mutedUntil
string<date-time>
required

ISO 8601 timestamp, in the future, until which the alert is silenced.

Example:

"2026-01-01T00:00:00.000Z"

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object